GLS ShipIT 4.0.f7 GLS ShipIT - SOAP services

Public Member Functions | Protected Attributes | List of all members
eu.gls_group.fpcs.v1.common.AddOnLiabilityService Class Reference

## Public Member Functions
String | getServiceName ()
void | setServiceName (String value)
BigDecimal | getAmount ()
void | setAmount (BigDecimal value)
String | getCurrency ()
void | setCurrency (String value)
String | getParcelContent ()
void | setParcelContent (String value)

## Protected Attributes
String | serviceName
BigDecimal | amount
String | currency
String | parcelContent

## Detailed Description

Add on liability service attributes

Java class for AddOnLiabilityService complex type.

The following schema fragment specifies the expected content contained within this class.

    <complexType name="AddOnLiabilityService">
      <complexContent>
        <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
          <sequence>
            <element name="ServiceName" type="{http://www.w3.org/2001/XMLSchema}string"/>
            <element name="Amount" type="{http://fpcs.gls-group.eu/v1/Common}Amount"/>
            <element name="Currency" type="{http://fpcs.gls-group.eu/v1/Common}Currency"/>
            <element name="ParcelContent" type="{http://fpcs.gls-group.eu/v1/Common}ParcelContent" minOccurs="0"/>
          </sequence>
        </restriction>
      </complexContent>
    </complexType>

Definition at line 47 of file AddOnLiabilityService.java.

## Member Function Documentation

## ◆ getAmount()

BigDecimal eu.gls_group.fpcs.v1.common.AddOnLiabilityService.getAmount | ( |  | ) |

Gets the value of the amount property.

Returns
  possible object is String

Definition at line 92 of file AddOnLiabilityService.java.

## ◆ getCurrency()

String eu.gls_group.fpcs.v1.common.AddOnLiabilityService.getCurrency | ( |  | ) |

Gets the value of the currency property.

Returns
  possible object is String

Definition at line 116 of file AddOnLiabilityService.java.

## ◆ getParcelContent()

String eu.gls_group.fpcs.v1.common.AddOnLiabilityService.getParcelContent | ( |  | ) |

Gets the value of the parcelContent property.

Returns
  possible object is String

Definition at line 140 of file AddOnLiabilityService.java.

## ◆ getServiceName()

String eu.gls_group.fpcs.v1.common.AddOnLiabilityService.getServiceName | ( |  | ) |

Gets the value of the serviceName property.

Returns
  possible object is String

Definition at line 68 of file AddOnLiabilityService.java.

## ◆ setAmount()

void eu.gls_group.fpcs.v1.common.AddOnLiabilityService.setAmount | ( | BigDecimal | value | ) |

Sets the value of the amount property.

Parameters

  value | allowed object is String

Definition at line 104 of file AddOnLiabilityService.java.

## ◆ setCurrency()

void eu.gls_group.fpcs.v1.common.AddOnLiabilityService.setCurrency | ( | String | value | ) |

Sets the value of the currency property.

Parameters

  value | allowed object is String

Definition at line 128 of file AddOnLiabilityService.java.

## ◆ setParcelContent()

void eu.gls_group.fpcs.v1.common.AddOnLiabilityService.setParcelContent | ( | String | value | ) |

Sets the value of the parcelContent property.

Parameters

  value | allowed object is String

Definition at line 152 of file AddOnLiabilityService.java.

## ◆ setServiceName()

void eu.gls_group.fpcs.v1.common.AddOnLiabilityService.setServiceName | ( | String | value | ) |

Sets the value of the serviceName property.

Parameters

  value | allowed object is String

Definition at line 80 of file AddOnLiabilityService.java.

## Member Data Documentation

## ◆ amount

BigDecimal eu.gls_group.fpcs.v1.common.AddOnLiabilityService.amount
| protected

Definition at line 54 of file AddOnLiabilityService.java.

## ◆ currency

String eu.gls_group.fpcs.v1.common.AddOnLiabilityService.currency
| protected

Definition at line 56 of file AddOnLiabilityService.java.

## ◆ parcelContent

String eu.gls_group.fpcs.v1.common.AddOnLiabilityService.parcelContent
| protected

Definition at line 58 of file AddOnLiabilityService.java.

## ◆ serviceName

String eu.gls_group.fpcs.v1.common.AddOnLiabilityService.serviceName
| protected

Definition at line 50 of file AddOnLiabilityService.java.

The documentation for this class was generated from the following file:

- AddOnLiabilityService.java